Bug 1470753 - Versions of RabbitMQ and Erlang in RDO
Versions of RabbitMQ and Erlang in RDO
Status: MODIFIED
Product: RDO
Classification: Community
Component: distribution (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: trunk
Assigned To: Alan Pevec
Shai Revivo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-13 11:00 EDT by David Moreau Simard
Modified: 2017-09-13 08:57 EDT (History)
6 users (show)

See Also:
Fixed In Version: erlang-18.3.4.5-4.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
deployment.sh (9.09 KB, text/plain)
2017-07-13 11:00 EDT, David Moreau Simard
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Github sensu/sensu/issues/1601 None None None 2017-09-13 08:57 EDT

  None (edit)
Description David Moreau Simard 2017-07-13 11:00:42 EDT
Created attachment 1297704 [details]
deployment.sh

I have come across an issue in Sensu [1] as part of an implementation through opstools-ansible [2].
However, I am currently unable to reproduce the issue anymore, perhaps a fix landed in Sensu or elsewhere in the meantime.
I've attached a script to install a reproducer of our implementation.

In the issue, the users and maintainers seem to claim that the problem would be caused by outdated packages.

RDO Ocata currently provides Erlang 18.3.4 and RabbitMQ 3.6.5:
erlang-asn1-18.3.4.4-2.el7.x86_64
erlang-compiler-18.3.4.4-2.el7.x86_64
erlang-crypto-18.3.4.4-2.el7.x86_64
erlang-eldap-18.3.4.4-2.el7.x86_64
erlang-erts-18.3.4.4-2.el7.x86_64
erlang-hipe-18.3.4.4-2.el7.x86_64
erlang-inets-18.3.4.4-2.el7.x86_64
erlang-kernel-18.3.4.4-2.el7.x86_64
erlang-mnesia-18.3.4.4-2.el7.x86_64
erlang-os_mon-18.3.4.4-2.el7.x86_64
erlang-otp_mibs-18.3.4.4-2.el7.x86_64
erlang-public_key-18.3.4.4-2.el7.x86_64
erlang-runtime_tools-18.3.4.4-2.el7.x86_64
erlang-sasl-18.3.4.4-2.el7.x86_64
erlang-sd_notify-0.1-9.el7.x86_64
erlang-snmp-18.3.4.4-2.el7.x86_64
erlang-ssl-18.3.4.4-2.el7.x86_64
erlang-stdlib-18.3.4.4-2.el7.x86_64
erlang-syntax_tools-18.3.4.4-2.el7.x86_64
erlang-tools-18.3.4.4-2.el7.x86_64
erlang-xmerl-18.3.4.4-2.el7.x86_64
rabbitmq-server-3.6.5-1.el7.noarch

The latest versions currently would be Erlang 19.3.6.1 and RabbitMQ 3.6.10.

Would it be worth considering proactively updating Erlang and RabbitMQ for the Pike release ? We're currently shipping the same version across all supported releases.

For what it's worth, it looks like Ubuntu does not package RabbitMQ and Erlang as part of Ubuntu Cloud Archive. Ubuntu Xenial ships with RabbitMQ 3.5.7 and Erlang 18.3.

[1]: https://github.com/sensu/sensu/issues/1601
[2]: https://github.com/centos-opstools/opstools-ansible
Comment 1 Alan Pevec 2017-07-13 20:24:45 EDT
I did attempt rebuilding v19 in CBS in the past:
http://cbs.centos.org/koji/taskinfo?taskID=106949
which failed on missing deps.

Trying with 19.3.6.1 again with Haikel's patch to disable wxwidgets, emacs, examples:
https://github.com/rdo-common/erlang/commits/common-rdo-19
https://cbs.centos.org/koji/buildinfo?buildID=17627
Comment 2 Peter Lemenkov 2017-07-14 11:52:07 EDT
(In reply to David Moreau Simard from comment #0)
> Created attachment 1297704 [details]
> deployment.sh
> 
> I have come across an issue in Sensu [1] as part of an implementation
> through opstools-ansible [2].
> However, I am currently unable to reproduce the issue anymore, perhaps a fix
> landed in Sensu or elsewhere in the meantime.
> I've attached a script to install a reproducer of our implementation.
> 
> In the issue, the users and maintainers seem to claim that the problem would
> be caused by outdated packages.
> 
> RDO Ocata currently provides Erlang 18.3.4 and RabbitMQ 3.6.5:
> erlang-asn1-18.3.4.4-2.el7.x86_64
> erlang-compiler-18.3.4.4-2.el7.x86_64
> erlang-crypto-18.3.4.4-2.el7.x86_64
> erlang-eldap-18.3.4.4-2.el7.x86_64
> erlang-erts-18.3.4.4-2.el7.x86_64
> erlang-hipe-18.3.4.4-2.el7.x86_64
> erlang-inets-18.3.4.4-2.el7.x86_64
> erlang-kernel-18.3.4.4-2.el7.x86_64
> erlang-mnesia-18.3.4.4-2.el7.x86_64
> erlang-os_mon-18.3.4.4-2.el7.x86_64
> erlang-otp_mibs-18.3.4.4-2.el7.x86_64
> erlang-public_key-18.3.4.4-2.el7.x86_64
> erlang-runtime_tools-18.3.4.4-2.el7.x86_64
> erlang-sasl-18.3.4.4-2.el7.x86_64
> erlang-sd_notify-0.1-9.el7.x86_64
> erlang-snmp-18.3.4.4-2.el7.x86_64
> erlang-ssl-18.3.4.4-2.el7.x86_64
> erlang-stdlib-18.3.4.4-2.el7.x86_64
> erlang-syntax_tools-18.3.4.4-2.el7.x86_64
> erlang-tools-18.3.4.4-2.el7.x86_64
> erlang-xmerl-18.3.4.4-2.el7.x86_64
> rabbitmq-server-3.6.5-1.el7.noarch
> 
> The latest versions currently would be Erlang 19.3.6.1 and RabbitMQ 3.6.10.
> 
> Would it be worth considering proactively updating Erlang and RabbitMQ for
> the Pike release ? We're currently shipping the same version across all
> supported releases.

AFAIK there are numerous SSL-related improvements in Erlang v. 19. As well as in v. 18 but that's a moving target, so I'd propose to upgrade to the latest in case of using v. 18 (latest is 18.3.4.5).

I believe upgrading to v. 19 is fine as well, and we'll do the same for the next RHOS as well.


Regarding RabbitMQ. We ship ver. 3.6.5 with few extra patches (mostly backported from higher versions). 3.6.5 was the latest version with old build system (3.6.6 uses different one - based on erlang.mk shell scripts).
Comment 3 Peter Lemenkov 2017-09-13 08:57:04 EDT
Ok, the package erlang-18.3.4.5-4.el7 was built:

https://cbs.centos.org/koji/buildinfo?buildID=19650

Please try it.

Note You need to log in before you can comment on or make changes to this bug.